﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace GridErrorInfiniteLoop
{
    public partial class UserControl1 : UserControl
    {
        public UltraGrid Grid { get { return ultraGrid1; } }

        public UserControl1()
        {
            InitializeComponent();
            ultraGrid1.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(ultraGrid1_InitializeLayout);
        }

        void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridBand band = Grid.DisplayLayout.Bands[0];

            band.Override.AllowAddNew = AllowAddNew.TemplateOnBottom;
            band.Hidden = false;
                        
        }

        public void FillGrid()
        {
            DataSet ds = new DataSet();
            DataTable dt = new DataTable();

            dt.Columns.Add("field_string", typeof(string));
            dt.Columns.Add("field_int", typeof(int));

            dt.Constraints.Add(new UniqueConstraint(dt.Columns["field_string"]));

            DataRow dr = dt.NewRow();
            dr["field_int"] = 1;
            dt.Rows.Add(dr);

            ds.Tables.Add(dt);

            ultraGrid1.SetDataBinding(ds, "");
        }
                
    }
}
